Partially update an Analysis Group
Partially update an existing Analysis Group.
Partially update an existing Analysis Group.
This endpoint accepts the same request body fields as the Create an Analysis Group endpoint.
Remember this is a PATCH endpoint which means only the fields you provide will be updated.
If you wish to replace all fields please use the PUT endpoint.
Enter your PredictHQ API key. The Bearer prefix is added automatically.
When calling the API directly, send: Authorization: Bearer <YOUR_API_KEY> as documented at https://docs.predicthq.com/api/overview/authenticating
An Analysis Group ID. Analyses that belong to this group will be returned.
3ED1zxXqAYName of an analysis group.
My Analysis Group 1The list of existing analysis IDs to include in the group.
Analyses can belong to multiple groups. Analyses must have the same demand type (the interval must match
and, for weekly analyses, week_start_day must also be consistent).
Every analysis in the group must have the same industry, if set.
["zRa_kk7MlAA","3aR-gbJp98I","JBb08XsZqAo","q9iX2XqFBxM"]Successful Response
No content
Bad Request
Unauthorized
Bearer token scope insufficient
Analysis Group not found
Data conflict
PATCH /v1/beam/analysis-groups/{group_id} HTTP/1.1
Host: api.predicthq.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 148
{
"name": "My Analysis Group 1",
"analysis_ids": [
"zRa_kk7MlAA",
"3aR-gbJp98I",
"JBb08XsZqAo",
"q9iX2XqFBxM"
],
"demand_type": {
"unit_descriptor": "bookings"
}
}No content
Examples
To update the name of an Analysis Group:
OpenAPI spec
See the Beam API OpenAPI spec.
Last updated
Was this helpful?